
#include "sim_reg.h"
#include "led.h"

void led_init(void) {

  SIM_CSPDR  = SIM_CSPDR  | 0x30;
  SIM_CSPAR1 = SIM_CSPAR1 & 0xffc3;
}

void led_on(int color) {

  switch(color) {
    case RED_LED:
      SIM_CSPDR = SIM_CSPDR & 0xdf;
      break;
    case GREEN_LED:
      SIM_CSPDR = SIM_CSPDR & 0xef;
      break;
    default:
      break;
  }
}

void led_off(int color) {

  switch(color) {
    case RED_LED:
      SIM_CSPDR = SIM_CSPDR | 0x20;
      break;
    case GREEN_LED:
      SIM_CSPDR = SIM_CSPDR | 0x10;
      break;
    default:
      break;
  }
}

void led_toggle(int color) {

  switch(color) {
    case RED_LED:
      SIM_CSPDR = SIM_CSPDR ^ 0x20;
      break;
    case GREEN_LED:
      SIM_CSPDR = SIM_CSPDR ^ 0x10;
      break;
    default:
      break;
  }
}
